/*
*  Naamari - an AES/SHA-based manual file crypto-synchronizer for cloud transfers
*  Copyright (c) 2015-2017 Sunkware
*  Key FP = 6B6D C8E9 3438 6E9C 3D97  56E5 2CE9 A476 99EF 28F6
*
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*  See the GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program. If not, see <http://www.gnu.org/licenses/>.
*
*  ----------------------------------------------------------------
*  WWW:       sunkware.org
*  E-mail:    sunkware@gmail.com
*  ----------------------------------------------------------------
*/


#include "about.h"

using namespace cryptrav;


namespace commander
{


int            about(void)
{
 Console::putHelp("Naamari - an AES/SHA-based manual file crypto-synchronizer for cloud transfers");
 Console::putHelp("Copyright (c) 2015-2017 Sunkware");
 Console::putHelp("Key FP = 6B6D C8E9 3438 6E9C 3D97  56E5 2CE9 A476 99EF 28F6");
 Console::putHelp("Version " + QString(APPLICATION_VERSION) + " (" + QString(APPLICATION_DATE) + ")");

 Console::putHelp("");
 Console::putHelp("This program is free software: you can redistribute it and/or modify");
 Console::putHelp("it under the terms of the GNU General Public License as published by");
 Console::putHelp("the Free Software Foundation, either version 3 of the License, or");
 Console::putHelp("(at your option) any later version.");
 Console::putHelp("This program is distributed in the hope that it will be useful,");
 Console::putHelp("but WITHOUT ANY WARRANTY; without even the implied warranty of");
 Console::putHelp("MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.");
 Console::putHelp("See the GNU General Public License for more details.");
 Console::putHelp("You should have received a copy of the GNU General Public License");
 Console::putHelp("along with this program. If not, see <http://www.gnu.org/licenses/>.");
 Console::putHelp("");

 Console::putHelp("This program includes the implementations");
 Console::putHelp("of AES-256 from Ilya O. Levin and Hal Finney; of SHA-256 from Brad Conte.");
 Console::putHelp("Application icon (the mask) is the work of [tonko100.deviantart.com] (T. Kok).");

 Console::putHelp("[ WWW: sunkware.org ]                         [ E-MAIL: sunkware@gmail.com ]");


 return COMERR_OK;
}


} // namespace "commander"
